Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225805 - Crash of Software Manager first use after rhn_register
Summary: Crash of Software Manager first use after rhn_register
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhn-client-tools
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Bryan Kearney
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:49 UTC by Joel Berman
Modified: 2013-01-10 09:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-05 22:07:42 UTC


Attachments (Terms of Use)
dump (deleted)
2007-01-31 18:49 UTC, Joel Berman
no flags Details

Description Joel Berman 2007-01-31 18:49:51 UTC
Description of problem:

Produced a dump when selecting add-remove software from menu.  DUmp attached
Version-Release number of selected component (if applicable):


Component: Software Manager
Summary: TB321c7849 sqlitecachec.py:32:getPrimary:TypeError: Parsing primary.xml
error: Input is not proper UTF-8, indicate encoding !
Bytes: 0xA9 0x20 0x31 0x39


Traceback (most recent call last):
  File "/usr/sbin/pirut", line 453, in ?
    main()
  File "/usr/sbin/pirut", line 449, in main
    pm.run()
  File "/usr/sbin/pirut", line 358, in run
    self.doRefresh()
  File "/usr/sbin/pirut", line 373, in doRefresh
    self.reposSetup(pbar)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 159, in reposSetup
    self.doSackSetup()
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 331, in doSackSetup
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.4/site-packages/yum/repos.py", line 203, in populateSack
    sack.populate(repo, with, callback, cacheonly)
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 91, in populate
    dobj = repo.cacheHandler.getPrimary(xml, csum)
  File "/usr/lib/python2.4/site-packages/sqlitecachec.py", line 32, in getPrimary
    self.callback))
TypeError: Parsing primary.xml error: Input is not proper UTF-8, indicate encoding !
Bytes: 0xA9 0x20 0x31 0x39


Local variables in innermost frame:
checksum: 7de6aa81e6cf9e84bd21cc1f39b8f05a7e78fec8
self: <sqlitecachec.RepodataParserSqlite instance at 0x8deefcc>
location: //var/cache/yum/rhel-i386-server-5/primary.xml.gz

Comment 1 Joel Berman 2007-01-31 18:49:51 UTC
Created attachment 147039 [details]
dump

Comment 2 James Bowes 2007-02-01 18:05:24 UTC
Was this against webqa? If so, it was a server-side issue from the last push
that has since been resolved.

Comment 3 Joel Berman 2007-02-01 18:15:34 UTC
Yes it was with webqa.  Thanks.


Note You need to log in before you can comment on or make changes to this bug.